Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl
Class XML11DTDScannerImpl

    java.lang.Object
      weblogic.apache.xerces.impl.XMLScanner
          weblogic.apache.xerces.impl.XMLDTDScannerImpl
              weblogic.apache.xerces.impl.XML11DTDScannerImpl

All Implemented Interfaces:
  XMLComponent, XMLDTDContentModelSource, XMLDTDScanner, XMLDTDSource, XMLEntityHandler

Deprecated. please use JDK supplied XML parsers and transformers

public class XML11DTDScannerImpl
extends XMLDTDScannerImpl

This class is responsible for scanning the declarations found in the internal and external subsets of a DTD in an XML document. The scanner acts as the sources for the DTD information which is communicated to the DTD handlers.

This component requires the following features and properties from the component manager that uses it:

- http://xml.org/sax/features/validation
- http://apache.org/xml/features/scanner/notify-char-refs
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/entity-manager

Field Summary

Fields inherited from class weblogic.apache.xerces.impl.XMLDTDScannerImpl
`fDTDContentModelHandler, fDTDHandler, fScannerState, fSeenExternalDTD, fSeenExternalPE, fStandalone, SCANNER_STATE_END_OF_INPUT, SCANNER_STATE_MARKUP_DECL, SCANNER_STATE_TEXT_DECL`

Fields inherited from class weblogic.apache.xerces.impl.XMLScanner
`DEBUG_ATTR_NORMALIZATION, ENTITY_MANAGER, ERROR_REPORTER, fAmpSymbol, fAposSymbol, fCharRefLiteral, fEncodingSymbol, fEntityDepth, fEntityManager, fEntityScanner, fErrorReporter, fGtSymbol, fLtSymbol, fNotifyCharRefs, fQuotSymbol, fReportEntity, fResourceIdentifier, fScanningAttribute, fStandaloneSymbol, fSymbolTable, fValidation, fVersionSymbol, NOTIFY_CHAR_REFS, SYMBOL_TABLE, VALIDATION`

Constructor Summary
`XML11DTDScannerImpl()` Deprecated. Default constructor.
`XML11DTDScannerImpl(SymbolTable symbolTable, XMLErrorReporter errorReporter, XMLEntityManager entityManager)` Deprecated. Constructor for he use of non-XMLComponentManagers.

Method Summary
`protected void` | `normalizeWhitespace(XMLString value)` Deprecated. Normalize whitespace in an XMLString converting all whitespace characters to space characters.
`protected boolean` | `scanPubidLiteral(XMLString literal)` Deprecated. Scans public ID literal.

Methods inherited from class weblogic.apache.xerces.impl.XMLDTDScannerImpl
`endEntity, getRecognizedFeatures, getRecognizedProperties, reset, reset, scanAttDefaultDecl, scanAttlistDecl, scanComment, scanDecls, scanDTDExternalSubset, scanDTDInternalSubset, scanElementDecl, scanEntityValue, scanningInternalSubset, scanPIData, scanTextDecl, setDTDContentModelHandler, setDTDHandler, setInputSource, setScannerState, startEntity, startPE`

Methods inherited from class weblogic.apache.xerces.impl.XMLScanner
`getFeature, reportFatalError, scanAttributeValue, scanCharReferenceValue, scanComment, scanExternalID, scanPI, scanPseudoAttribute, scanSurrogates, scanXMLDeclOrTextDecl, setFeature, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.apache.xerces.xni.parser.XMLComponent
`setFeature, setProperty`

Constructor Detail

### XML11DTDScannerImpl

    public XML11DTDScannerImpl()

  Deprecated.
  Default constructor.

### XML11DTDScannerImpl

    public XML11DTDScannerImpl(SymbolTable symbolTable,
                               XMLErrorReporter errorReporter,
                               XMLEntityManager entityManager)

  Deprecated.
  Constructor for he use of non-XMLComponentManagers.

Method Detail

### normalizeWhitespace

    protected void normalizeWhitespace(XMLString value)

  Deprecated.
  Normalize whitespace in an XMLString converting all whitespace characters to space characters.

  Overrides:
    `normalizeWhitespace` in class `XMLScanner`

### scanPubidLiteral

    protected boolean scanPubidLiteral(XMLString literal)
                                throws IOException,
                                       XNIException

  Deprecated.
  Scans public ID literal. [12] PubidLiteral ::= '"' PubidChar* '"' | "'" (PubidChar - "'")* "'" [13] PubidChar::= #x20 | #xD | #xA | [a-zA-Z0-9] | [-'()+,./:=?;!*#@$_%] The returned string is normalized according to the following rule, from http://www.w3.org/TR/REC-xml#dt-pubid: Before a match is attempted, all strings of white space in the public identifier must be normalized to single space characters (#x20), and leading and trailing white space must be removed.

  Overrides:
    `scanPubidLiteral` in class `XMLScanner`
  Parameters:
    `literal` - The string to fill in with the public ID literal.
  Throws:
    `IOException`
    `XNIException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD